import { jsx } from "react/jsx-runtime";
import { TipJar as TipJar$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TipJar = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "TipJar", ...props, children: /* @__PURE__ */ jsx(TipJar$1, { weight: variant }) });
  }
);
TipJar.displayName = "TipJar";
Object.assign(TipJar, { isGdsIcon: true });
export {
  TipJar
};
